Vim and You Complete Me

ONLY INSTALL YOU COMPLETE ME IF YOU HAVE LIKE A DAY AND A HALF. AND WHEN YOU UPGRADE, IT WILL BREAK.

I do not recommend YCM.

SEE AN ALTERNATIVE http://www.codefor.life/fuck-you-complete-me/

I can’t get You Complete Me to work with the normal vim that gets installed on my machine.

I can tell which vim gets run when I run the command vim by running which vim

which vim

-> Tells you which vim is being run when vim is run

So I installed vim in homebrew.

brew ls vim

-> Tells you where your homebrewed vim package is installed in your file system

~/.oh-my-zsh/oh-my-zsh.sh

That’s where I tell which vim to open… I have the commands there necessary to switch the path. The following path is the one that designates –> USE HOMEBREW.

PATH=/usr/local/bin:/usr/bin:$PATH

OK SO YOU COMPLETE ME GIVES ME THIS ERROR MESSGE

YouCompleteMe unavailable: No module named ycmd

How do I solve this? I’ve solved it before… BUT I DIDNT WRITE IT DOWN DAMNIT!

git submodule update –init –recursive

./install.py

Post Content